hpp-fcl: hpp::fcl::BVSplitter< BV > Class Template Reference

hpp-fcl 1.6.0 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | List of all members
hpp::fcl::BVSplitter< BV > Class Template Reference
Construction of BVHModel

A class describing the split rule that splits each BV node. More...

`#include <hpp/fcl/internal/BV_splitter.h>`

## Public Member Functions
| BVSplitter (SplitMethodType method)
virtual | ~BVSplitter ()
| Default deconstructor. More...
void | set (Vec3f *vertices_, Triangle *tri_indices_, BVHModelType type_)
| Set the geometry data needed by the split rule. More...
void | computeRule (const BV &bv, unsigned int *primitive_indices, int num_primitives)
| Compute the split rule according to a subset of geometry and the corresponding BV node. More...
bool | apply (const Vec3f &q) const
| Apply the split rule on a given point. More...
void | clear ()
| Clear the geometry data set before. More...
bool | apply (const Vec3f &q) const
bool | apply (const Vec3f &q) const
bool | apply (const Vec3f &q) const
bool | apply (const Vec3f &q) const

## Detailed Description

### template<typename BV>
class hpp::fcl::BVSplitter< BV >

A class describing the split rule that splits each BV node.

## Constructor & Destructor Documentation

## ◆ BVSplitter()

template<typename BV >

hpp::fcl::BVSplitter< BV >::BVSplitter | ( | SplitMethodType | method | ) |
| inline

## ◆ ~BVSplitter()

template<typename BV >

virtual hpp::fcl::BVSplitter< BV >::~BVSplitter | ( |  | ) |
| inlinevirtual

Default deconstructor.

## Member Function Documentation

## ◆ apply() [1/5]

template<typename BV >

bool hpp::fcl::BVSplitter< BV >::apply | ( | const Vec3f & | q | ) | const
| inline

Apply the split rule on a given point.

## ◆ apply() [2/5]

bool hpp::fcl::BVSplitter< OBB >::apply | ( | const Vec3f & | q | ) | const

## ◆ apply() [3/5]

bool hpp::fcl::BVSplitter< RSS >::apply | ( | const Vec3f & | q | ) | const

## ◆ apply() [4/5]

bool hpp::fcl::BVSplitter< kIOS >::apply | ( | const Vec3f & | q | ) | const

## ◆ apply() [5/5]

bool hpp::fcl::BVSplitter< OBBRSS >::apply | ( | const Vec3f & | q | ) | const

## ◆ clear()

template<typename BV >

void hpp::fcl::BVSplitter< BV >::clear | ( |  | ) |
| inline

Clear the geometry data set before.

## ◆ computeRule()

template<typename BV >

void hpp::fcl::BVSplitter< BV >::computeRule | ( | const BV & | bv,
|  | unsigned int * | primitive_indices,
|  | int | num_primitives
| ) |  |
| inline

Compute the split rule according to a subset of geometry and the corresponding BV node.

## ◆ set()

template<typename BV >

void hpp::fcl::BVSplitter< BV >::set | ( | Vec3f * | vertices_,
|  | Triangle * | tri_indices_,
|  | BVHModelType | type_
| ) |  |
| inline

Set the geometry data needed by the split rule.

The documentation for this class was generated from the following files:

- include/hpp/fcl/BVH/BVH_model.h
- include/hpp/fcl/internal/BV_splitter.h